Skip to main content
GET
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

secret_name
string
required
workspace_id
string<uuid>
required

Response

Successful Response

Read schema for workspace-scoped secrets.

id
string<uuid>
required
type
enum<string>
required

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app
name
string
required
encrypted_keys
file
required
environment
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
workspace_id
string<uuid>
required
description
string | null
tags
Tags · object | null
source
enum<string>
default:local

Where a workspace secret's values live.

Available options:
local,
aws_secrets_manager
store_id
string<uuid> | null
remote_reference
string | null
remote_key_mapping
AwsSecretKeyMapping · object | null

Declares how a remote AWS secret value maps onto output keys.

whole_string maps the entire SecretString onto exactly one key. json maps selected top-level string fields onto declared keys.